Page MenuHomePhabricator

VisualEditor should provide api-user-agent to RESTBase
Closed, ResolvedPublic1 Story Points

Description

We've added support for a new header in RESTBase in T121823 - Api-User-Agent for better monitoring/understanding of the API consumers, so VisualEditor should identify itself when talking to RESTBase

Event Timeline

Pchelolo created this task.Oct 24 2016, 9:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2016, 9:55 PM

We're currently (since T131171: Add user-agent header in your requests to VirtualRestService) setting the User-Agent (to VisualEditor-MediaWiki/1.28.0-wmf.23 or whatever) in the PHP side, but we don't in JS-land; I guess you want it set in both places?

Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF triaged this task as Normal priority.Oct 27 2016, 3:55 PM

Change 318312 had a related patch set uploaded (by Jforrester):
Set Api-User-Agent in requests to RESTBase/Parsoid

https://gerrit.wikimedia.org/r/318312

Change 318312 merged by jenkins-bot:
Set Api-User-Agent in requests to RESTBase/Parsoid

https://gerrit.wikimedia.org/r/318312

Jdforrester-WMF closed this task as Resolved.Oct 28 2016, 12:14 AM

We're currently (since T131171: Add user-agent header in your requests to VirtualRestService) setting the User-Agent (to VisualEditor-MediaWiki/1.28.0-wmf.23 or whatever) in the PHP side, but we don't in JS-land; I guess you want it set in both places?

That's what we did; hope that's OK. Will roll out with next week's train.